@echo off
echo [-]  Task 'backup config' start

rem backups directory (with slash on end!)
set backup_dir=C:\YandexDisk\zenno\config_daily\

rem archive name
set backup_filename=zenno_config

rem path to rar.exe
set rar_path=

rem check rar.exe availability
if "%rar_path%" == "" (
	if exist "C:\Program Files\WinRAR\rar.exe" (
		set rar_path="C:\Program Files\WinRAR\rar.exe"
	) else (
		if exist "C:\Program Files (x86)\WinRAR\rar.exe" (
			set rar_path="C:\Program Files (x86)\WinRAR\rar.exe"
		) else (
			goto :rar_not_found
		)
	)
)

rem check forfiles.exe availability
if not exist "C:\Windows\System32\forfiles.exe" (
	goto :forfiles_not_found
)


rem remove archives older 7 days
echo [-]  Start removing old archives
"C:\Windows\System32\forfiles.exe" /p %backup_dir% /s /m *.rar /d -7 /c "cmd /c del /q /f @file"
echo [+]  Finish removing old archives

rem create archive
echo [-]  Start backup
%rar_path% a -m3 -dh -r -y -rr -t -mt1 -ag_yyyy_mm_dd_hh_mm -inul -x"%AppData%\ZennoLab\ZennoPoster\5\ProjectMaker\Browser" -x"%AppData%\ZennoLab\ZennoPoster\5\Data" %backup_dir%%backup_filename% "%AppData%\ZennoLab" "%ZennoPosterCurrentPath%\ExternalAssemblies" "%UserProfile%\..\%username%\Documents\ZennoLab" "%UserProfile%\Documents\ZennoLab"
echo [+]  Finish backup



goto :done


:rar_not_found
echo [!]  C:\Program Files\WinRAR\rar.exe - not found! WinRAR installed?
echo [!]  Set path to rar.exe in rar_path variable
pause
exit /b 1

:forfiles_not_found
echo [!]  C:\Windows\System32\forfiles.exe - not found!
echo [!]  Download this from: ( https://www.microsoft.com/en-us/download/details.aspx?id=17657 ??? )
exit /b 1

:done
echo [+]  Task 'backup config' end
exit /b 0